from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0005_element_source'),
    ]

    operations = [
        # Remove extra regions tied to several elements
        # We can't to keep the first region element item to preserve the link
        # for the followup migration
        migrations.RunSQL(
            """
            SELECT region_id, array_agg(id) as ids into remove FROM documents_regionelement
            GROUP BY region_id
            HAVING COUNT(region_id) > 1;

            DELETE FROM documents_regionelement WHERE id in
            (select unnest(ids[2:]) from remove);

            DROP table remove;
            """,
            reverse_sql=migrations.RunSQL.noop,
            elidable=True,
        ),
    ]
