# Generated by Django 2.1.4 on 2018-12-20 16:03

import uuid

import django.db.models.deletion
import enumfields.fields
from django.db import migrations, models

import arkindex.ponos.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, primary_key=True, serialize=False
                    ),
                ),
                ("run", models.PositiveIntegerField()),
                ("depth", models.PositiveIntegerField()),
                ("slug", models.CharField(max_length=250)),
                (
                    "state",
                    enumfields.fields.EnumField(
                        default="unscheduled", enum=arkindex.ponos.models.State, max_length=20
                    ),
                ),
                ("container", models.CharField(blank=True, max_length=64, null=True)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                (
                    "parent",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="children",
                        to="ponos.Task",
                    ),
                ),
            ],
            options={"ordering": ("workflow", "run", "depth", "slug")},
        ),
        migrations.CreateModel(
            name="Workflow",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, primary_key=True, serialize=False
                    ),
                ),
                ("recipe", models.TextField()),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.AddField(
            model_name="task",
            name="workflow",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="tasks",
                to="ponos.Workflow",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="task",
            unique_together={("workflow", "run", "slug")},
        ),
    ]
