from django.test import override_settings
from django.urls import path
from rest_framework import status

from arkindex.project.tests import APITestCase
from arkindex.project.urls import urlpatterns
from arkindex.project.views import RobotsTxt


class TestRobotsTxtView(APITestCase):

    @override_settings(ROBOTS_TXT_DISALLOW=['/aaa', '/bbb'])
    def test_robots_txt_settings(self):
        # A hack on URL patterns is required to test this route disabled with the default config
        urlpatterns.append(path('robots.txt', RobotsTxt.as_view()))

        response = self.client.get('/robots.txt')
        self.assertEqual(response.status_code, status.HTTP_200_OK)
        self.assertEqual(
            response.content,
            (
                b"User-agent: *\n"
                b"Disallow: /aaa\n"
                b"Disallow: /bbb\n"
            )
        )
