# Generated by Django 4.0.2 on 2022-03-16 09:50

import uuid

import django.db.models.deletion
import enumfields.fields
from django.db import migrations, models

import arkindex.project.fields
import arkindex.training.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('process', '0045_remove_dataimport_best_class'),
    ]

    operations = [
        migrations.CreateModel(
            name='Model',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('description', models.TextField(default='')),
                ('public', models.BooleanField(default=False)),
                ('compatible_workers', models.ManyToManyField(related_name='models', to='process.Worker')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModelVersion',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('description', models.TextField(default='')),
                ('tag', models.CharField(blank=True, max_length=50, null=True)),
                ('state', enumfields.fields.EnumField(default='created', enum=arkindex.training.models.ModelVersionState, max_length=10)),
                ('hash', arkindex.project.fields.MD5HashField(max_length=32)),
                ('size', models.PositiveIntegerField(help_text='file size in bytes')),
                ('configuration', models.JSONField(default=dict)),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='versions', to='training.model')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='training.modelversion')),
            ],
            options={
                'unique_together': {('model', 'tag')},
            },
        ),
    ]
