# Generated by Django 4.0.4 on 2022-12-09 14:59

import uuid

import django.db.models.deletion
import enumfields.fields
from django.db import migrations, models

import arkindex.training.models


class Migration(migrations.Migration):

    dependencies = [
        ('training', '0004_modelversion_archive_hash'),
    ]

    operations = [
        migrations.CreateModel(
            name='MetricKey',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('mode', enumfields.fields.EnumField(default='series', enum=arkindex.training.models.MetricMode, max_length=10)),
                ('model_version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='metrics', to='training.modelversion')),
            ],
        ),
        migrations.CreateModel(
            name='MetricValue',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('value', models.FloatField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('step', models.PositiveIntegerField(blank=True, null=True)),
                ('metric', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='values', to='training.metrickey')),
            ],
        ),
        migrations.AddConstraint(
            model_name='metricvalue',
            constraint=models.UniqueConstraint(condition=models.Q(('step__isnull', False)), fields=('metric', 'step'), name='metric_unique_step'),
        ),
        migrations.AddConstraint(
            model_name='metricvalue',
            constraint=models.UniqueConstraint(condition=models.Q(('step__isnull', True)), fields=('metric', 'created'), name='metric_unique_no_step'),
        ),
        migrations.AlterUniqueTogether(
            name='metrickey',
            unique_together={('name', 'model_version')},
        ),
    ]
